MaxiCodeReader (ZXing 3.5.0 API)

com.google.zxing.maxicode

## Class MaxiCodeReader

- java.lang.Object
- - com.google.zxing.maxicode.MaxiCodeReader

- All Implemented Interfaces:
    Reader

      public final class MaxiCodeReader
      extends Object
      implements Reader

  This implementation can detect and decode a MaxiCode in an image.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MaxiCodeReader()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Result` | `decode(BinaryBitmap image)` Locates and decodes a MaxiCode in an image.
    `Result` | `decode(BinaryBitmap image, Map<DecodeHintType,?> hints)` Locates and decodes a barcode in some format within an image.
    `void` | `reset()` Resets any internal state the implementation has after a decode, to prepare it for reuse.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MaxiCodeReader

          public MaxiCodeReader()

  - ### Method Detail

    - #### decode

          public Result decode(BinaryBitmap image)
                        throws NotFoundException,
                               ChecksumException,
                               FormatException

      Locates and decodes a MaxiCode in an image.
      Specified by:
        `decode` in interface `Reader`
      Parameters:
        `image` - image of barcode to decode
      Returns:
        a String representing the content encoded by the MaxiCode
      Throws:
        `NotFoundException` - if a MaxiCode cannot be found
        `FormatException` - if a MaxiCode cannot be decoded
        `ChecksumException` - if error correction fails

    - #### decode

          public Result decode(BinaryBitmap image,
                               Map<DecodeHintType,?> hints)
                        throws NotFoundException,
                               ChecksumException,
                               FormatException

      Description copied from interface: `Reader`
      Locates and decodes a barcode in some format within an image. This method also accepts hints, each possibly associated to some data, which may help the implementation decode.
      Specified by:
        `decode` in interface `Reader`
      Parameters:
        `image` - image of barcode to decode
        `hints` - passed as a `Map` from `DecodeHintType` to arbitrary data. The meaning of the data depends upon the hint type. The implementation may or may not do anything with these hints.
      Returns:
        String which the barcode encodes
      Throws:
        `NotFoundException` - if no potential barcode is found
        `ChecksumException` - if a potential barcode is found but does not pass its checksum
        `FormatException` - if a potential barcode is found but format is invalid

    - #### reset

          public void reset()

      Description copied from interface: `Reader`
      Resets any internal state the implementation has after a decode, to prepare it for reuse.
      Specified by:
        `reset` in interface `Reader`

Copyright © 2007–2022. All rights reserved.